#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kontrast
Version: 23.04.3
Release:	%mkrel %{rel}
Summary:	Color contrast checker
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		https://apps.kde.org/cs/kontrast/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros

BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Qml)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Sql)

BuildRequires:	cmake(KF5Kirigami2)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Declarative)
BuildRequires:	cmake(KF5DocTools)

Requires:	kirigami2
Recommends:     %{name}-handbook

%description
A tool that helps UI designers find colors with sufficient contrast.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%package -n %{name}-handbook
Summary:        Kontrast Handbook
Group:          Documentation
BuildArch:      noarch

%description -n %{name}-handbook
This package provides kontrast handbook.

%files -n %{name}-handbook
%_kf5_docdir/HTML/*/kontrast/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 23.04.3-1.mga9
+ Revision: 1982510
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958222
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946534
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941827
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922948
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913204
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905294
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886813
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880799
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873109
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854002
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849508
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846211
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763893
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724101
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718388
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698590
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694116
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657076
- initial package kontrast

